Templates

GET /public/v1/templates

List message templates. Optionally filter by workspace or campaign type.

GET /public/v1/templates

GET /public/v1/templates

curl --request GET \
  --url 'https://api.joinvalley.co/public/v1/templates' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "templates": [
      {
        "id": "<string>",
        "name": "<string>",
        "type": "<string>",
        "workspace_id": "<string>",
        "workspace_name": "<string>",
        "created_at": "<string>"
      }
    ],
    "pagination": {
      "limit": 1,
      "offset": 1,
      "total": 1,
      "hasMore": true
    }
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Query Parameters

  • limit number
  • offset number
  • type string enum
  • workspaceId string

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • templates[] object array
      + Show Child Attributes
      • id string
      • name string
      • type string
      • workspace_id string
      • workspace_name string
      • created_at string
    • pagination object
      + Show Child Attributes
      • limit number
      • offset number
      • total number
      • hasMore boolean